import { ModuleWithProviders, InjectionToken } from '@angular/core';
import { BlockUIInstanceService } from './core/services/block-ui-instance.service';
import { BlockUISettings } from './core/models/block-ui-settings.model';
import * as i0 from "@angular/core";
import * as i1 from "./core/components/block-ui/block-ui.component";
import * as i2 from "./core/directives/block-ui.directive";
import * as i3 from "./core/components/block-ui-content/block-ui-content.component";
import * as i4 from "@angular/common";
export declare const BlockUIServiceInstance: BlockUIInstanceService;
export declare const BlockUIModuleSettings: InjectionToken<string>;
export declare function provideInstance(settings: BlockUISettings): BlockUIInstanceService;
export declare class NgxBlockUiModule {
    static forRoot(settings?: BlockUISettings): ModuleWithProviders<NgxBlockUiModule>;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgxBlockUiModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<NgxBlockUiModule, [typeof i1.BlockUIComponent, typeof i2.BlockUIDirective, typeof i3.BlockUIContentComponent], [typeof i4.CommonModule], [typeof i1.BlockUIComponent, typeof i2.BlockUIDirective, typeof i3.BlockUIContentComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<NgxBlockUiModule>;
}
