import * as i0 from '@angular/core';
import { Injectable, NgModule } from '@angular/core';
import * as i1 from '@code-workers.io/ngx-block-ui';
import { BLOCKUI_DEFAULT, NgxBlockUiModule } from '@code-workers.io/ngx-block-ui';

class BlockUIPreventNavigation {
    constructor(blockUIService) {
        this.blockUIService = blockUIService;
    }
    canActivate() {
        return !this.blockUIService.isActive(BLOCKUI_DEFAULT);
    }
    canActivateChild() {
        return !this.blockUIService.isActive(BLOCKUI_DEFAULT);
    }
}
BlockUIPreventNavigation.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.11", ngImport: i0, type: BlockUIPreventNavigation, deps: [{ token: i1.BlockUIService }], target: i0.ɵɵFactoryTarget.Injectable });
BlockUIPreventNavigation.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.11", ngImport: i0, type: BlockUIPreventNavigation });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.11", ngImport: i0, type: BlockUIPreventNavigation, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: i1.BlockUIService }]; } });

class NgxBlockUIRouterModule {
    static forRoot() {
        return {
            ngModule: NgxBlockUIRouterModule,
            providers: [
                BlockUIPreventNavigation
            ]
        };
    }
}
NgxBlockUIRouterModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.11", ngImport: i0, type: NgxBlockUIRouterModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
NgxBlockUIRouterModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.11", ngImport: i0, type: NgxBlockUIRouterModule, imports: [NgxBlockUiModule] });
NgxBlockUIRouterModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.11", ngImport: i0, type: NgxBlockUIRouterModule, imports: [NgxBlockUiModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.11", ngImport: i0, type: NgxBlockUIRouterModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [
                        NgxBlockUiModule
                    ]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { BlockUIPreventNavigation, NgxBlockUIRouterModule };
//# sourceMappingURL=code-workers.io-ngx-block-ui-router.mjs.map
